#
# spec file for package perl-Digest-CRC
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Digest-CRC
Version:        0.17
Release:        24.1
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        SUSE-Public-Domain
Url:            http://search.cpan.org/dist/Digest-CRC/
Summary:        Generic CRC functions for Perl
Source:         Digest-CRC-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
The Digest::CRC module calculates CRC sums of all sorts.  It contains
wrapper functions with the correct parameters for CRC-CCITT, CRC-16,
CRC-32 and CRC-64.

%prep
%setup -q -n Digest-CRC-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%{perl_vendorarch}/Digest
%{perl_vendorarch}/auto/Digest

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Sep 14 2011 opensuse@dstoecker.de
- update to new 0.17 bug-fix release
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Thu Sep 30 2010 opensuse@dstoecker.de
- updated
* Tue Sep 28 2010 opensuse@dstoecker.de
- updated
* Fri Feb  8 2008 opensuse@dstoecker.de
- updated
  Thu Oct 25 00:00:00 UTC 2007 - Peter Eisentraut 0.10
- initial package release
